Netherworld's Pretend Minibar

    express-pug-starter

    2.2.0 • Public • Published

    express-pug-starter

    NPM version License NPM Dependency Status NPM downloads
    circle-ci Test Coverage Code Climate js-standard

    Requires Node.js and npm, which can both be installed by following the instructions on https://nodejs.org/. Installing Node.js also installs npm.

    Getting Started

    git clone https://github.com/sbolel/express-pug-starter.git
    cd express-pug-starter
    cp .env_sample .env     # create dotenv file 
    npm install             # install dependencies 
    Server

    npm start - start application on localhost:4000

    npm run debug - for debugging, start the app using [nodemon][nodemon]

    Tests

    npm test – run tests with [Mocha][mocha], validate standard style, generate coverage report (.coverage/)

    Styles

    npm run sass - compile scss

    npm run sass:watch - compile scss, watch for changes

    Coverage

    =============================== Coverage summary ===============================
    Statements   : 78.18% ( 86/110 )
    Branches     : 45.45% ( 10/22 )
    Functions    : 40% ( 2/5 )
    Lines        : 77.78% ( 84/108 )
    ================================================================================
    

    Install

    npm i express-pug-starter

    DownloadsWeekly Downloads

    1

    Version

    2.2.0

    License

    MIT

    Last publish

    Collaborators

    • sinanbolel